%define name	zoom 
%define version 1.1.5
%define release %mkrel 3

Name:           %{name}
Summary:        Z-Machine: it plays text adventure games written in ZCode
Version:        %{version}
Release:        %{release}
URL:            http://www.logicalshift.co.uk/unix/zoom/ 
Source0:        http://www.logicalshift.co.uk/unix/zoom/%{name}-%{version}.tar.gz
Patch0:		zoom-1.1.3-enable-antialiasing.patch
License:        GPLv2+ 
Group:          Games/Adventure
BuildRequires:	libx11-devel
BuildRequires:	libxext-devel
BuildRequires:	libxrender-devel
BuildRequires:	libpng-devel
BuildRequires:	t1lib-devel

%description
Zoom is an interpreter for playing all of Infocom's text adventures and
newer games using the same format (Z-CODE), like the ones produced using
the Inform compiler.

It has a fast interpreter core behind an X11 interface.

%prep
%setup -q
%patch0 -p0

%build
%configure --bindir=%{_gamesbindir} --datadir=%{_gamesdatadir}
%make

%install
rm -rf %{buildroot}
%makeinstall bindir=%{buildroot}%{_gamesbindir} datadir=%{buildroot}%{_gamesdatadir}
mkdir %{buildroot}%{_gamesdatadir}/%{name}/games

%clean
rm manual/Makefile* -f
rm -rf %{buildroot}

%files
%defattr(-,root,root,0755)
%doc AUTHORS COPYING ChangeLog NEWS README THANKS TODO manual
%{_gamesbindir}/%name
%dir %_gamesdatadir/%name
%_gamesdatadir/%name/%{name}rc
%dir %_gamesdatadir/%name/games




%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1.1.5-3.mga3
+ Revision: 387774
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + malo <malo>
    - fix RPM group

* Sun Jan 06 2013 stormi <stormi> 1.1.5-2.mga3
+ Revision: 339900
- rebuild for mga3

* Sun Mar 04 2012 stormi <stormi> 1.1.5-1.mga2
+ Revision: 218255
- update to 1.1.5

* Thu Sep 29 2011 fwang <fwang> 1.1.4-2.mga2
+ Revision: 150221
- tighten br

* Sat Jan 08 2011 stormi <stormi> 1.1.4-1.mga2
+ Revision: 886
- imported package zoom

